#ifndef PROCSCNTRLS_H
#define PROCSCNTRLS_H

#ifdef __Linux__

#include <qwidget.h>
#include <qpainter.h> 
#include <qframe.h> 
#include <qrect.h> 
#include "common.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qkeycode.h>
#include <qapp.h>
#include <qevent.h> 
#include <qdrawutl.h>
#include <qpixmap.h>
#include <qpushbt.h> 
#include <qcombo.h>
#include <qcolor.h>
#include <qfont.h> 

class ProcsCntrls : public QFrame
{
	Q_OBJECT
public:
	ProcsCntrls(QWidget *parent, const char *name, WFlags f);

	QColor x, y;
	QColorGroup	CGnorm, CGinv;
	QFont font;

	QPixmap icnReload, icnInfo, icnKill;
	QPushButton *butReload, *butInfo, *butKill;
	QComboBox *cmbUsers;
	
signals:
	void reloadprocs();
	void killproc();
	
public slots:
	void reloadProcs();
	void killProc();
		
protected:
	void paintEvent(QPaintEvent *);

private:

};

#endif 
#endif 
